#include "xcardmemory.h"

XCardMemory::XCardMemory()
    : XAsset()
    , mPlatform(0)
{
    SetName("Card Memory");
}

XCardMemory::~XCardMemory()
{
    
}

qint32 XCardMemory::GetPlatform() const
{
    return mPlatform;
}

void XCardMemory::ParseData(XDataStream *aStream)
{
    mPlatform = aStream->ParseInt32(QString("%1 platform").arg(GetName()));
}

void XCardMemory::Clear()
{
    mPlatform = 0;
}
